Skip to navigation

Update EnzymeList

Beta
Update EnzymeList.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

enzyme_list_idstringRequired
ID of the EnzymeList.

Headers

EARLY-ACCESSstringOptional

Set to true to access beta operations via /api/v3.

Request

This endpoint expects an object.
descriptionstring or nullOptional
Description of the Enzyme List
enzymeIdslist of stringsOptional

API IDs of enzymes from the global restriction-enzyme catalog. When provided, replaces the entire member set (use an empty array to remove all enzymes). Each ID must be valid and IDs must not repeat within the list.

namestringOptional

Leading and trailing whitespace is stripped. Must be non-empty and at most 128 characters. Names are unique per owner (case-insensitive). Duplicate names within the same batch request are rejected when they target the same owner.

Response

OK
__typenamestringOptional
createdAtstringOptional
DateTime the Enzyme List was created
descriptionstring or nullOptional
Description of the Enzyme List
enzymesstringOptionalformat: "uri"
List of Enzymes that are part of this Enzyme List
idstringOptional
Id of the Enzyme List
modifiedAtstringOptional
DateTime the Enzyme List was last modified
namestringOptional
Name of the Enzyme List
ownerobjectOptional
User or Organization owner

Errors

400
Enzyme List Update Request Bad Request Error
403
Enzyme List Update Request Forbidden Error
404
Enzyme List Update Request Not Found Error
409
Enzyme List Update Request Conflict Error
429
Enzyme List Update Request Too Many Requests Error
500
Enzyme List Update Request Internal Server Error